> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/rest-api/orders/order-invoices/get-tax-invoices-for-order.md).

# Get tax invoices for order

<mark style="color:green;">`GET`</mark> `https://app.ecwid.com/api/v3/{storeId}/orders/{orderId}/invoices`&#x20;

<details>

<summary>Request and response example</summary>

Request:

```http
GET /api/v3/1003/orders/JJ5HH/invoices HTTP/1.1
Authorization: Bearer secret_token
Host: app.ecwid.com
```

Response:

```json
{
    "invoices": [
        {
            "internalId": 1002002,
            "id": "AB000308",
            "created": "2024-11-07 12:09:45 +0000",
            "link": "https://app.ecwid.com/download_tax_invoice?ownerid=JJ5HH&invoice_id=1002002&access_key=a***5",
            "type": "SALE"
        }
        {
            "internalId": 1002004,
            "id": "AB000310",
            "created": "2024-11-17 02:13:10 +0000",
            "link": "https://app.ecwid.com/download_tax_invoice?ownerid=JJ5HH&invoice_id=1002004&access_key=G***c",
            "type": "FULL_CANCEL"
        }
    ]
}
```

</details>

### Required access scopes

Your app must have the following **access scopes** to make this request: `read_orders` , `read_invoices`

### Path params

All path params are required.

<table><thead><tr><th width="150">Param</th><th width="126">Type</th><th>Description</th></tr></thead><tbody><tr><td>storeId</td><td>number</td><td>Ecwid store ID.</td></tr><tr><td>orderId</td><td>number</td><td>Order ID. Can contain prefixes and suffixes, for example: <code>EG4H2,J77J8,SALE-G01ZG</code></td></tr></tbody></table>

### Query params

All query params are optional.

<table><thead><tr><th width="172">Param</th><th width="111">Type</th><th>Description</th></tr></thead><tbody><tr><td>responseFields</td><td>string</td><td>Limit JSON response by specific fields. If specified, all missing fields will be removed from the response body.<br>Example: <code>?responseFields=invoices(id,link)</code></td></tr></tbody></table>

### Headers

The **Authorization** header is required.

<table><thead><tr><th>Header</th><th width="252">Format</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td><code>Bearer secret_ab***cd</code></td><td>Access token of the application.</td></tr></tbody></table>

### Response JSON

A JSON object with the following fields:

| Field    | Type                        | Description                                       |
| -------- | --------------------------- | ------------------------------------------------- |
| invoices | array [invoices](#invoices) | Details about tax invoices created for the order. |

#### invoices

<table><thead><tr><th width="168">Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>internalId</td><td>number</td><td>Internal ID of the tax invoice.</td></tr><tr><td>id</td><td>string</td><td>Public invoice ID visible in the tax invoice.</td></tr><tr><td>created</td><td>string</td><td>Datetime of tax invoice creation in UTC +0.</td></tr><tr><td>link</td><td>string</td><td>Download link for the tax invoice in PDF format.</td></tr><tr><td>type</td><td>string</td><td><p>Tax invoice type. </p><p><br>One of:<br><code>SALE</code> - Regular sale invoice.<br><code>FULL_CANCEL</code> - Full refund invoice.</p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/orders/order-invoices/get-tax-invoices-for-order.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
